{ buildNeovimPlugin, fetchFromGitHub }:

[
  (buildNeovimPlugin {
    name = "vim-sensible";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sensible";
      rev = "8985da7669bbd73afce85ef0e4a3e1ce2e488595";
      sha256 = "15pvhbk7hkf3z7zsv1bqizqmiw75nvckf3j6njckj5ijx6kzjsnj";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-sleuth";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sleuth";
      rev = "1d25e8e5dc4062e38cab1a461934ee5e9d59e5a8";
      sha256 = "1nb90zm9jc2mq5fxbxifrmhkpjs3a5y68amr3f99rxfd0197jxcs";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-fugitive";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-fugitive";
      rev = "dd8107cabf5fe85df94d5eedcae52415e543f208";
      sha256 = "19xrmyrqfxsx7damlbl0dd5dsr75jinmssvpvnamixzjzq6jyfr3";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-rhubarb";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-rhubarb";
      rev = "cad60fe382f3f501bbb28e113dfe8c0de6e77c75";
      sha256 = "1c456ypxgjnmbprjl79kvg5vm26nws0csw8fbs6gmdr21m3x1p4w";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-surround";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-surround";
      rev = "bf3480dc9ae7bea34c78fbba4c65b4548b5b1fea";
      sha256 = "07wk87xiri44h5k3higiw9wfp516fflhq2xyrgm5hkxs3nnnx6la";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-abolish";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-abolish";
      rev = "3f0c8faadf0c5b68bcf40785c1c42e3731bfa522";
      sha256 = "1w9zim2v1av3f43z8q7zh0ia8dgjxjwnvmzd4j3y25vy25avn0lb";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "undotree";
    src = fetchFromGitHub {
      owner = "mbbill";
      repo = "undotree";
      rev = "bfc9b060c9e84497b15b4d602095ba008383b664";
      sha256 = "1w2r73a73zjbgfnkcnq2xlk2k0fw1zdjqrhigs6bp3ni3335dhjq";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope.nvim";
      rev = "2584ff391b528d01bf5e8c04206d5902a79ebdde";
      sha256 = "1z06vp94xc4ircpkv71s5zq1ck3azgc17p3ys34jxw67nnfmhqr5";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope-fzf-native.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope-fzf-native.nvim";
      rev = "65c0ee3d4bb9cb696e262bca1ea5e9af3938fc90";
      sha256 = "0nyvhlalrgg6n793lp3yrxgszv5j0ln9sjbh45pxxg0wn15jxm45";
    };

    dontBuild = false;
  })
  (buildNeovimPlugin {
    name = "plenary.nvim";
    src = fetchFromGitHub {
      owner = "nvim-lua";
      repo = "plenary.nvim";
      rev = "4b66054e75356ac0b909bbfee9c682e703f535c2";
      sha256 = "1yl5m7is35bk30swr5m1pcl2i0wf8gjcnas6bpahlxqa4x0yr1x8";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "mini.nvim";
    src = fetchFromGitHub {
      owner = "echasnovski";
      repo = "mini.nvim";
      rev = "02e22656f1b78aa9f9a678e0ff31b62bbaf0dee6";
      sha256 = "10zsypp2rbiwhambk6zsfsp0k4c6zzc3cbxvfjvp10da3lqi52na";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "gitsigns.nvim";
    src = fetchFromGitHub {
      owner = "lewis6991";
      repo = "gitsigns.nvim";
      rev = "d7e0bcbe45bd9d5d106a7b2e11dc15917d272c7a";
      sha256 = "1h4gxyamynwygxpqfib2a7sd1xbi6sh8ixg85j6qiaqqpahr0a4k";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-lspconfig";
    src = fetchFromGitHub {
      owner = "neovim";
      repo = "nvim-lspconfig";
      rev = "0fafc3ef648bd612757630097c96b725a36a0476";
      sha256 = "1ivgc2awb6j9y3rb5zv5ar0s7m0qdq15xalgmcf7d159jphdnql9";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-treesitter-textobjects";
    src = fetchFromGitHub {
      owner = "nvim-treesitter";
      repo = "nvim-treesitter-textobjects";
      rev = "e63c2ff8e38fad77299dd74e14c7c9360e1b3181";
      sha256 = "1f3lkjfb7nh68yd2466fglz5xvzplghq522irfndq8ik5jpwcwbn";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "typescript.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "typescript.nvim";
      rev = "5a92e7658e693b2ba6e14e851b8795ae3d727f23";
      sha256 = "1qp34w8jy838b08i0j7qk38hj62kpncq46pz59d2df32dhwljm0j";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "null-ls.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "null-ls.nvim";
      rev = "4b403d2d724f48150ded41189ae4866492a8158b";
      sha256 = "1pf4bb8q1xyizvijcjrf0iglgmgddzcyhrmg1kwj3n69k26bjg19";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "fidget.nvim";
    src = fetchFromGitHub {
      owner = "j-hui";
      repo = "fidget.nvim";
      rev = "492492e7d50452a9ace8346d31f6d6da40439f0e";
      sha256 = "1s3qv09gbsjjmqkb85hc4832j18hd21j37rg4iqks0a4n2z5yi4b";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "sonokai";
    src = fetchFromGitHub {
      owner = "sainnhe";
      repo = "sonokai";
      rev = "17b5a8e085c13b650dc34c3b81b27374b5ea1439";
      sha256 = "0ssmn8lr4mgi8wcckaym3qnjg3m3l67a5avbsc3yj6igavv7c7mb";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-syntax-elvish";
    src = fetchFromGitHub {
      owner = "chlorm";
      repo = "vim-syntax-elvish";
      rev = "53068bcec7209422df4494f5fdb1202f5937ccea";
      sha256 = "08yyc7l3r0nqr43c25aag7a6dif9hzflw6x1b06rzfqbchhl60rw";
    };

    dontBuild = true;
  })
]
